#ifndef _PAGETABEL_H
#define _PAGETABEL_H

#include <inttypes.h>

typedef struct {
    uint32_t physical;      // Logisk side
    uint16_t protection;    // Tilgangsrettigheder
} page_entry_t;

void pagetable_init();
void pagetable_set(uint32_t logical, page_entry_t *pe);
page_entry_t *pagetable_get(uint32_t logical);

#endif
